Subject: [PATCH 04/10] ARM: dts: Add MSHC2 dt node for Exynos3250 SoC

From: [email-masked] (Chanwoo Choi)
Date: Mon, 14 Mar 2016 17:28:34 +0900

On 2016? 03? 14? 15:22, Krzysztof Kozlowski wrote:
> On 14.03.2016 11:04, Chanwoo Choi wrote:
>> This patch adds the MSHC2 (Mobile Storage Host Controller) Device Tree node for
>> Exynos3250 SoC.
>>
>> Cc: Kukjin Kim <[email-masked]>
>> Cc: Krzysztof Kozlowski <[email-masked]>
>> Signed-off-by: Chanwoo Choi <[email-masked]>
>> Reviewed-by: Krzysztof Kozlowski <[email-masked]>
>> ---
>>  arch/arm/boot/dts/exynos3250-pinctrl.dtsi | 35 +++++++++++++++++++++++++++++++
>>  arch/arm/boot/dts/exynos3250.dtsi         | 13 ++++++++++++
>>  2 files changed, 48 insertions(+)
> 
> 
> After looking at your other patch ("ARM: dts: Add initial pin
> configuration for exynos3250-rinato") I have doubts. The Monk will be
> affected.

You're right. On monk board, this line may be not stable.

> 
> Here you are configuring all the gpk2 GPIOS for EMMC2 mode. Then on
> Rinato you are setting it back to default non-used state. However the
> Monk board will remain with this new configuration... so you would have
> to add initial-state also for Monk.

OK. I'll do it.

> 
> But how about doing opposite? Configure here the pins to unused state
> and enable them only for Artik board?
> 
> What do you think?

I think that gpk2-[0~6] pins are fixed for MMC2 device.
So, it is good to add the pin setting for gpk2-[0~6] to exynos3250-pinctrl.dtsi.

If mmc2 device is not used like rinato and monk board,
we should add the initial setting as NC (not connected) pin state
as other patch (ARM: dts: Add initial pin configuration for exynos3250-rinato).

Best Regards,
Chanwoo Choi